/[LeafOK_CVS]/lbbs/configure
ViewVC logotype

Diff of /lbbs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.3 by sysadm, Mon Oct 18 08:17:59 2004 UTC Revision 1.4 by sysadm, Tue Oct 19 15:22:01 2004 UTC
# Line 272  PACKAGE_STRING='bbsd 1.0' Line 272  PACKAGE_STRING='bbsd 1.0'
272  PACKAGE_BUGREPORT=''  PACKAGE_BUGREPORT=''
273    
274  ac_unique_file="src/"  ac_unique_file="src/"
275  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LIBOBJS LTLIBOBJS'  # Factoring default headers for most tests.
276    ac_includes_default="\
277    #include <stdio.h>
278    #if HAVE_SYS_TYPES_H
279    # include <sys/types.h>
280    #endif
281    #if HAVE_SYS_STAT_H
282    # include <sys/stat.h>
283    #endif
284    #if STDC_HEADERS
285    # include <stdlib.h>
286    # include <stddef.h>
287    #else
288    # if HAVE_STDLIB_H
289    #  include <stdlib.h>
290    # endif
291    #endif
292    #if HAVE_STRING_H
293    # if !STDC_HEADERS && HAVE_MEMORY_H
294    #  include <memory.h>
295    # endif
296    # include <string.h>
297    #endif
298    #if HAVE_STRINGS_H
299    # include <strings.h>
300    #endif
301    #if HAVE_INTTYPES_H
302    # include <inttypes.h>
303    #else
304    # if HAVE_STDINT_H
305    #  include <stdint.h>
306    # endif
307    #endif
308    #if HAVE_UNISTD_H
309    # include <unistd.h>
310    #endif"
311    
312    ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP LIBOBJS LTLIBOBJS'
313  ac_subst_files=''  ac_subst_files=''
314    
315  # Initialize some variables set by options.  # Initialize some variables set by options.
# Line 729  ac_env_CPPFLAGS_set=${CPPFLAGS+set} Line 766  ac_env_CPPFLAGS_set=${CPPFLAGS+set}
766  ac_env_CPPFLAGS_value=$CPPFLAGS  ac_env_CPPFLAGS_value=$CPPFLAGS
767  ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}  ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
768  ac_cv_env_CPPFLAGS_value=$CPPFLAGS  ac_cv_env_CPPFLAGS_value=$CPPFLAGS
769    ac_env_CPP_set=${CPP+set}
770    ac_env_CPP_value=$CPP
771    ac_cv_env_CPP_set=${CPP+set}
772    ac_cv_env_CPP_value=$CPP
773    
774  #  #
775  # Report the --help message.  # Report the --help message.
# Line 816  Some influential environment variables: Line 857  Some influential environment variables:
857                nonstandard directory <lib dir>                nonstandard directory <lib dir>
858    CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have    CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
859                headers in a nonstandard directory <include dir>                headers in a nonstandard directory <include dir>
860      CPP         C preprocessor
861    
862  Use these variables to override the choices made by `configure' or to help  Use these variables to override the choices made by `configure' or to help
863  it to find libraries and programs with nonstandard names/locations.  it to find libraries and programs with nonstandard names/locations.
# Line 1691  INSTALL_STRIP_PROGRAM="\${SHELL} \$(inst Line 1733  INSTALL_STRIP_PROGRAM="\${SHELL} \$(inst
1733    
1734    
1735    
1736  # AC_CONFIG_HEADERS([config.h])  # AM_CONFIG_HEADERS(config.h)
 # test to see if srcdir already configured  
 if test "`cd $srcdir && pwd`" != "`pwd`" &&  
    test -f $srcdir/config.status; then  
   { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5  
 echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}  
    { (exit 1); exit 1; }; }  
 fi  
   
 # test whether we have cygpath  
 if test -z "$CYGPATH_W"; then  
   if (cygpath --version) >/dev/null 2>/dev/null; then  
     CYGPATH_W='cygpath -w'  
   else  
     CYGPATH_W=echo  
   fi  
 fi  
   
   
 # Define the identity of the package.  
  PACKAGE='bbsd'  
  VERSION='1.0'  
   
   
 cat >>confdefs.h <<_ACEOF  
 #define PACKAGE "$PACKAGE"  
 _ACEOF  
   
   
 cat >>confdefs.h <<_ACEOF  
 #define VERSION "$VERSION"  
 _ACEOF  
   
 # Some tools Automake needs.  
   
 ACLOCAL=${ACLOCAL-"${am_missing_run}aclocal-${am__api_version}"}  
   
   
 AUTOCONF=${AUTOCONF-"${am_missing_run}autoconf"}  
   
   
 AUTOMAKE=${AUTOMAKE-"${am_missing_run}automake-${am__api_version}"}  
   
   
 AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}  
   
   
 MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}  
   
   
 AMTAR=${AMTAR-"${am_missing_run}tar"}  
   
 install_sh=${install_sh-"$am_aux_dir/install-sh"}  
   
 # Installed binaries are usually stripped using `strip' when the user  
 # run `make install-strip'.  However `strip' might not be the right  
 # tool to use in cross-compilation environments, therefore Automake  
 # will honor the `STRIP' environment variable to overrule this program.  
 if test "$cross_compiling" != no; then  
   if test -n "$ac_tool_prefix"; then  
   # Extract the first word of "${ac_tool_prefix}strip", so it can be a program name with args.  
 set dummy ${ac_tool_prefix}strip; ac_word=$2  
 echo "$as_me:$LINENO: checking for $ac_word" >&5  
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_prog_STRIP+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   if test -n "$STRIP"; then  
   ac_cv_prog_STRIP="$STRIP" # Let the user override the test.  
 else  
 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR  
 for as_dir in $PATH  
 do  
   IFS=$as_save_IFS  
   test -z "$as_dir" && as_dir=.  
   for ac_exec_ext in '' $ac_executable_extensions; do  
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then  
     ac_cv_prog_STRIP="${ac_tool_prefix}strip"  
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5  
     break 2  
   fi  
 done  
 done  
   
 fi  
 fi  
 STRIP=$ac_cv_prog_STRIP  
 if test -n "$STRIP"; then  
   echo "$as_me:$LINENO: result: $STRIP" >&5  
 echo "${ECHO_T}$STRIP" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
   
 fi  
 if test -z "$ac_cv_prog_STRIP"; then  
   ac_ct_STRIP=$STRIP  
   # Extract the first word of "strip", so it can be a program name with args.  
 set dummy strip; ac_word=$2  
 echo "$as_me:$LINENO: checking for $ac_word" >&5  
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6  
 if test "${ac_cv_prog_ac_ct_STRIP+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   if test -n "$ac_ct_STRIP"; then  
   ac_cv_prog_ac_ct_STRIP="$ac_ct_STRIP" # Let the user override the test.  
 else  
 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR  
 for as_dir in $PATH  
 do  
   IFS=$as_save_IFS  
   test -z "$as_dir" && as_dir=.  
   for ac_exec_ext in '' $ac_executable_extensions; do  
   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then  
     ac_cv_prog_ac_ct_STRIP="strip"  
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5  
     break 2  
   fi  
 done  
 done  
   
   test -z "$ac_cv_prog_ac_ct_STRIP" && ac_cv_prog_ac_ct_STRIP=":"  
 fi  
 fi  
 ac_ct_STRIP=$ac_cv_prog_ac_ct_STRIP  
 if test -n "$ac_ct_STRIP"; then  
   echo "$as_me:$LINENO: result: $ac_ct_STRIP" >&5  
 echo "${ECHO_T}$ac_ct_STRIP" >&6  
 else  
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
 fi  
   
   STRIP=$ac_ct_STRIP  
 else  
   STRIP="$ac_cv_prog_STRIP"  
 fi  
   
 fi  
 INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"  
   
 # We need awk for the "check" target.  The system "awk" is bad on  
 # some platforms.  
   
   
   
1737    
1738  # Checks for programs.  # Checks for programs.
1739  ac_ext=c  ac_ext=c
# Line 2939  else Line 2835  else
2835  fi  fi
2836    
2837    
 depcc="$CC"   am_compiler_list=  
2838    
2839  echo "$as_me:$LINENO: checking dependency style of $depcc" >&5  echo "$as_me:$LINENO: checking for library containing strerror" >&5
2840  echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6  echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6
2841  if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then  if test "${ac_cv_search_strerror+set}" = set; then
2842    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
2843  else  else
2844    if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then    ac_func_search_save_LIBS=$LIBS
2845    # We make a subdir and do the tests there.  Otherwise we can end up  ac_cv_search_strerror=no
2846    # making bogus files that we don't know about and never remove.  For  cat >conftest.$ac_ext <<_ACEOF
2847    # instance it was reported that on HP-UX the gcc test will end up  /* confdefs.h.  */
2848    # making a dummy file named `D' -- because `-MD' means `put the output  _ACEOF
2849    # in D'.  cat confdefs.h >>conftest.$ac_ext
2850    mkdir conftest.dir  cat >>conftest.$ac_ext <<_ACEOF
2851    # Copy depcomp to subdir because otherwise we won't find it if we're  /* end confdefs.h.  */
   # using a relative directory.  
   cp "$am_depcomp" conftest.dir  
   cd conftest.dir  
   # We will build objects and dependencies in a subdirectory because  
   # it helps to detect inapplicable dependency modes.  For instance  
   # both Tru64's cc and ICC support -MD to output dependencies as a  
   # side effect of compilation, but ICC will put the dependencies in  
   # the current directory while Tru64 will put them in the object  
   # directory.  
   mkdir sub  
2852    
2853    am_cv_CC_dependencies_compiler_type=none  /* Override any gcc2 internal prototype to avoid an error.  */
2854    if test "$am_compiler_list" = ""; then  #ifdef __cplusplus
2855       am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`  extern "C"
2856    #endif
2857    /* We use char because int might match the return type of a gcc2
2858       builtin and then its argument prototype would still apply.  */
2859    char strerror ();
2860    int
2861    main ()
2862    {
2863    strerror ();
2864      ;
2865      return 0;
2866    }
2867    _ACEOF
2868    rm -f conftest.$ac_objext conftest$ac_exeext
2869    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
2870      (eval $ac_link) 2>conftest.er1
2871      ac_status=$?
2872      grep -v '^ *+' conftest.er1 >conftest.err
2873      rm -f conftest.er1
2874      cat conftest.err >&5
2875      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2876      (exit $ac_status); } &&
2877             { ac_try='test -z "$ac_c_werror_flag"
2878                             || test ! -s conftest.err'
2879      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2880      (eval $ac_try) 2>&5
2881      ac_status=$?
2882      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2883      (exit $ac_status); }; } &&
2884             { ac_try='test -s conftest$ac_exeext'
2885      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2886      (eval $ac_try) 2>&5
2887      ac_status=$?
2888      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2889      (exit $ac_status); }; }; then
2890      ac_cv_search_strerror="none required"
2891    else
2892      echo "$as_me: failed program was:" >&5
2893    sed 's/^/| /' conftest.$ac_ext >&5
2894    
2895    fi
2896    rm -f conftest.err conftest.$ac_objext \
2897          conftest$ac_exeext conftest.$ac_ext
2898    if test "$ac_cv_search_strerror" = no; then
2899      for ac_lib in cposix; do
2900        LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
2901        cat >conftest.$ac_ext <<_ACEOF
2902    /* confdefs.h.  */
2903    _ACEOF
2904    cat confdefs.h >>conftest.$ac_ext
2905    cat >>conftest.$ac_ext <<_ACEOF
2906    /* end confdefs.h.  */
2907    
2908    /* Override any gcc2 internal prototype to avoid an error.  */
2909    #ifdef __cplusplus
2910    extern "C"
2911    #endif
2912    /* We use char because int might match the return type of a gcc2
2913       builtin and then its argument prototype would still apply.  */
2914    char strerror ();
2915    int
2916    main ()
2917    {
2918    strerror ();
2919      ;
2920      return 0;
2921    }
2922    _ACEOF
2923    rm -f conftest.$ac_objext conftest$ac_exeext
2924    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
2925      (eval $ac_link) 2>conftest.er1
2926      ac_status=$?
2927      grep -v '^ *+' conftest.er1 >conftest.err
2928      rm -f conftest.er1
2929      cat conftest.err >&5
2930      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2931      (exit $ac_status); } &&
2932             { ac_try='test -z "$ac_c_werror_flag"
2933                             || test ! -s conftest.err'
2934      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2935      (eval $ac_try) 2>&5
2936      ac_status=$?
2937      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2938      (exit $ac_status); }; } &&
2939             { ac_try='test -s conftest$ac_exeext'
2940      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2941      (eval $ac_try) 2>&5
2942      ac_status=$?
2943      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2944      (exit $ac_status); }; }; then
2945      ac_cv_search_strerror="-l$ac_lib"
2946    break
2947    else
2948      echo "$as_me: failed program was:" >&5
2949    sed 's/^/| /' conftest.$ac_ext >&5
2950    
2951    fi
2952    rm -f conftest.err conftest.$ac_objext \
2953          conftest$ac_exeext conftest.$ac_ext
2954      done
2955    fi
2956    LIBS=$ac_func_search_save_LIBS
2957    fi
2958    echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
2959    echo "${ECHO_T}$ac_cv_search_strerror" >&6
2960    if test "$ac_cv_search_strerror" != no; then
2961      test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
2962    
2963    fi
2964    
2965    
2966    # Checks for libraries.
2967    
2968    # Checks for header files.
2969    ac_ext=c
2970    ac_cpp='$CPP $CPPFLAGS'
2971    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2972    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2973    ac_compiler_gnu=$ac_cv_c_compiler_gnu
2974    echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
2975    echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
2976    # On Suns, sometimes $CPP names a directory.
2977    if test -n "$CPP" && test -d "$CPP"; then
2978      CPP=
2979    fi
2980    if test -z "$CPP"; then
2981      if test "${ac_cv_prog_CPP+set}" = set; then
2982      echo $ECHO_N "(cached) $ECHO_C" >&6
2983    else
2984          # Double quotes because CPP needs to be expanded
2985        for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
2986        do
2987          ac_preproc_ok=false
2988    for ac_c_preproc_warn_flag in '' yes
2989    do
2990      # Use a header file that comes with gcc, so configuring glibc
2991      # with a fresh cross-compiler works.
2992      # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2993      # <limits.h> exists even on freestanding compilers.
2994      # On the NeXT, cc -E runs the code through the compiler's parser,
2995      # not just through cpp. "Syntax error" is here to catch this case.
2996      cat >conftest.$ac_ext <<_ACEOF
2997    /* confdefs.h.  */
2998    _ACEOF
2999    cat confdefs.h >>conftest.$ac_ext
3000    cat >>conftest.$ac_ext <<_ACEOF
3001    /* end confdefs.h.  */
3002    #ifdef __STDC__
3003    # include <limits.h>
3004    #else
3005    # include <assert.h>
3006    #endif
3007                         Syntax error
3008    _ACEOF
3009    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3010      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3011      ac_status=$?
3012      grep -v '^ *+' conftest.er1 >conftest.err
3013      rm -f conftest.er1
3014      cat conftest.err >&5
3015      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3016      (exit $ac_status); } >/dev/null; then
3017      if test -s conftest.err; then
3018        ac_cpp_err=$ac_c_preproc_warn_flag
3019        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3020      else
3021        ac_cpp_err=
3022    fi    fi
3023    for depmode in $am_compiler_list; do  else
3024      # Setup a source with many dependencies, because some compilers    ac_cpp_err=yes
3025      # like to wrap large dependency lists on column 80 (with \), and  fi
3026      # we should not choose a depcomp mode which is confused by this.  if test -z "$ac_cpp_err"; then
3027      #    :
3028      # We need to recreate these files for each test, as the compiler may  else
3029      # overwrite some of them when testing with obscure command lines.    echo "$as_me: failed program was:" >&5
3030      # This happens at least with the AIX C compiler.  sed 's/^/| /' conftest.$ac_ext >&5
3031      : > sub/conftest.c  
3032      for i in 1 2 3 4 5 6; do    # Broken: fails on valid input.
3033        echo '#include "conftst'$i'.h"' >> sub/conftest.c  continue
3034        # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with  fi
3035        # Solaris 8's {/usr,}/bin/sh.  rm -f conftest.err conftest.$ac_ext
3036        touch sub/conftst$i.h  
3037      # OK, works on sane cases.  Now check whether non-existent headers
3038      # can be detected and how.
3039      cat >conftest.$ac_ext <<_ACEOF
3040    /* confdefs.h.  */
3041    _ACEOF
3042    cat confdefs.h >>conftest.$ac_ext
3043    cat >>conftest.$ac_ext <<_ACEOF
3044    /* end confdefs.h.  */
3045    #include <ac_nonexistent.h>
3046    _ACEOF
3047    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3048      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3049      ac_status=$?
3050      grep -v '^ *+' conftest.er1 >conftest.err
3051      rm -f conftest.er1
3052      cat conftest.err >&5
3053      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3054      (exit $ac_status); } >/dev/null; then
3055      if test -s conftest.err; then
3056        ac_cpp_err=$ac_c_preproc_warn_flag
3057        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3058      else
3059        ac_cpp_err=
3060      fi
3061    else
3062      ac_cpp_err=yes
3063    fi
3064    if test -z "$ac_cpp_err"; then
3065      # Broken: success on invalid input.
3066    continue
3067    else
3068      echo "$as_me: failed program was:" >&5
3069    sed 's/^/| /' conftest.$ac_ext >&5
3070    
3071      # Passes both tests.
3072    ac_preproc_ok=:
3073    break
3074    fi
3075    rm -f conftest.err conftest.$ac_ext
3076    
3077    done
3078    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3079    rm -f conftest.err conftest.$ac_ext
3080    if $ac_preproc_ok; then
3081      break
3082    fi
3083    
3084      done      done
3085      echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf      ac_cv_prog_CPP=$CPP
3086    
3087      case $depmode in  fi
3088      nosideeffect)    CPP=$ac_cv_prog_CPP
3089        # after this tag, mechanisms are not by side-effect, so they'll  else
3090        # only be used when explicitly requested    ac_cv_prog_CPP=$CPP
3091        if test "x$enable_dependency_tracking" = xyes; then  fi
3092          continue  echo "$as_me:$LINENO: result: $CPP" >&5
3093        else  echo "${ECHO_T}$CPP" >&6
3094          break  ac_preproc_ok=false
3095        fi  for ac_c_preproc_warn_flag in '' yes
3096        ;;  do
3097      none) break ;;    # Use a header file that comes with gcc, so configuring glibc
3098      esac    # with a fresh cross-compiler works.
3099      # We check with `-c' and `-o' for the sake of the "dashmstdout"    # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3100      # mode.  It turns out that the SunPro C++ compiler does not properly    # <limits.h> exists even on freestanding compilers.
3101      # handle `-M -o', and we need to detect this.    # On the NeXT, cc -E runs the code through the compiler's parser,
3102      if depmode=$depmode \    # not just through cpp. "Syntax error" is here to catch this case.
3103         source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \    cat >conftest.$ac_ext <<_ACEOF
3104         depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \  /* confdefs.h.  */
3105         $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \  _ACEOF
3106           >/dev/null 2>conftest.err &&  cat confdefs.h >>conftest.$ac_ext
3107         grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&  cat >>conftest.$ac_ext <<_ACEOF
3108         grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&  /* end confdefs.h.  */
3109         ${MAKE-make} -s -f confmf > /dev/null 2>&1; then  #ifdef __STDC__
3110        # icc doesn't choke on unknown options, it will just issue warnings  # include <limits.h>
3111        # (even with -Werror).  So we grep stderr for any message  #else
3112        # that says an option was ignored.  # include <assert.h>
3113        if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else  #endif
3114          am_cv_CC_dependencies_compiler_type=$depmode                       Syntax error
3115          break  _ACEOF
3116        fi  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3117      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3118      ac_status=$?
3119      grep -v '^ *+' conftest.er1 >conftest.err
3120      rm -f conftest.er1
3121      cat conftest.err >&5
3122      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3123      (exit $ac_status); } >/dev/null; then
3124      if test -s conftest.err; then
3125        ac_cpp_err=$ac_c_preproc_warn_flag
3126        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3127      else
3128        ac_cpp_err=
3129      fi
3130    else
3131      ac_cpp_err=yes
3132    fi
3133    if test -z "$ac_cpp_err"; then
3134      :
3135    else
3136      echo "$as_me: failed program was:" >&5
3137    sed 's/^/| /' conftest.$ac_ext >&5
3138    
3139      # Broken: fails on valid input.
3140    continue
3141    fi
3142    rm -f conftest.err conftest.$ac_ext
3143    
3144      # OK, works on sane cases.  Now check whether non-existent headers
3145      # can be detected and how.
3146      cat >conftest.$ac_ext <<_ACEOF
3147    /* confdefs.h.  */
3148    _ACEOF
3149    cat confdefs.h >>conftest.$ac_ext
3150    cat >>conftest.$ac_ext <<_ACEOF
3151    /* end confdefs.h.  */
3152    #include <ac_nonexistent.h>
3153    _ACEOF
3154    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3155      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3156      ac_status=$?
3157      grep -v '^ *+' conftest.er1 >conftest.err
3158      rm -f conftest.er1
3159      cat conftest.err >&5
3160      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3161      (exit $ac_status); } >/dev/null; then
3162      if test -s conftest.err; then
3163        ac_cpp_err=$ac_c_preproc_warn_flag
3164        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3165      else
3166        ac_cpp_err=
3167      fi
3168    else
3169      ac_cpp_err=yes
3170    fi
3171    if test -z "$ac_cpp_err"; then
3172      # Broken: success on invalid input.
3173    continue
3174    else
3175      echo "$as_me: failed program was:" >&5
3176    sed 's/^/| /' conftest.$ac_ext >&5
3177    
3178      # Passes both tests.
3179    ac_preproc_ok=:
3180    break
3181    fi
3182    rm -f conftest.err conftest.$ac_ext
3183    
3184    done
3185    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
3186    rm -f conftest.err conftest.$ac_ext
3187    if $ac_preproc_ok; then
3188      :
3189    else
3190      { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
3191    See \`config.log' for more details." >&5
3192    echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
3193    See \`config.log' for more details." >&2;}
3194       { (exit 1); exit 1; }; }
3195    fi
3196    
3197    ac_ext=c
3198    ac_cpp='$CPP $CPPFLAGS'
3199    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3200    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3201    ac_compiler_gnu=$ac_cv_c_compiler_gnu
3202    
3203    
3204    echo "$as_me:$LINENO: checking for egrep" >&5
3205    echo $ECHO_N "checking for egrep... $ECHO_C" >&6
3206    if test "${ac_cv_prog_egrep+set}" = set; then
3207      echo $ECHO_N "(cached) $ECHO_C" >&6
3208    else
3209      if echo a | (grep -E '(a|b)') >/dev/null 2>&1
3210        then ac_cv_prog_egrep='grep -E'
3211        else ac_cv_prog_egrep='egrep'
3212      fi      fi
3213    done  fi
3214    echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
3215    echo "${ECHO_T}$ac_cv_prog_egrep" >&6
3216     EGREP=$ac_cv_prog_egrep
3217    
3218    cd ..  
3219    rm -rf conftest.dir  echo "$as_me:$LINENO: checking for ANSI C header files" >&5
3220    echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
3221    if test "${ac_cv_header_stdc+set}" = set; then
3222      echo $ECHO_N "(cached) $ECHO_C" >&6
3223  else  else
3224    am_cv_CC_dependencies_compiler_type=none    cat >conftest.$ac_ext <<_ACEOF
3225    /* confdefs.h.  */
3226    _ACEOF
3227    cat confdefs.h >>conftest.$ac_ext
3228    cat >>conftest.$ac_ext <<_ACEOF
3229    /* end confdefs.h.  */
3230    #include <stdlib.h>
3231    #include <stdarg.h>
3232    #include <string.h>
3233    #include <float.h>
3234    
3235    int
3236    main ()
3237    {
3238    
3239      ;
3240      return 0;
3241    }
3242    _ACEOF
3243    rm -f conftest.$ac_objext
3244    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3245      (eval $ac_compile) 2>conftest.er1
3246      ac_status=$?
3247      grep -v '^ *+' conftest.er1 >conftest.err
3248      rm -f conftest.er1
3249      cat conftest.err >&5
3250      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3251      (exit $ac_status); } &&
3252             { ac_try='test -z "$ac_c_werror_flag"
3253                             || test ! -s conftest.err'
3254      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3255      (eval $ac_try) 2>&5
3256      ac_status=$?
3257      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3258      (exit $ac_status); }; } &&
3259             { ac_try='test -s conftest.$ac_objext'
3260      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3261      (eval $ac_try) 2>&5
3262      ac_status=$?
3263      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3264      (exit $ac_status); }; }; then
3265      ac_cv_header_stdc=yes
3266    else
3267      echo "$as_me: failed program was:" >&5
3268    sed 's/^/| /' conftest.$ac_ext >&5
3269    
3270    ac_cv_header_stdc=no
3271    fi
3272    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3273    
3274    if test $ac_cv_header_stdc = yes; then
3275      # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
3276      cat >conftest.$ac_ext <<_ACEOF
3277    /* confdefs.h.  */
3278    _ACEOF
3279    cat confdefs.h >>conftest.$ac_ext
3280    cat >>conftest.$ac_ext <<_ACEOF
3281    /* end confdefs.h.  */
3282    #include <string.h>
3283    
3284    _ACEOF
3285    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
3286      $EGREP "memchr" >/dev/null 2>&1; then
3287      :
3288    else
3289      ac_cv_header_stdc=no
3290  fi  fi
3291    rm -f conftest*
3292    
3293  fi  fi
 echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5  
 echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6  
 CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type  
3294    
3295    if test $ac_cv_header_stdc = yes; then
3296      # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
3297      cat >conftest.$ac_ext <<_ACEOF
3298    /* confdefs.h.  */
3299    _ACEOF
3300    cat confdefs.h >>conftest.$ac_ext
3301    cat >>conftest.$ac_ext <<_ACEOF
3302    /* end confdefs.h.  */
3303    #include <stdlib.h>
3304    
3305    _ACEOF
3306    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
3307      $EGREP "free" >/dev/null 2>&1; then
3308      :
3309    else
3310      ac_cv_header_stdc=no
3311    fi
3312    rm -f conftest*
3313    
3314    fi
3315    
3316  if  if test $ac_cv_header_stdc = yes; then
3317    test "x$enable_dependency_tracking" != xno \    # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
3318    && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then    if test "$cross_compiling" = yes; then
3319    am__fastdepCC_TRUE=    :
   am__fastdepCC_FALSE='#'  
3320  else  else
3321    am__fastdepCC_TRUE='#'    cat >conftest.$ac_ext <<_ACEOF
3322    am__fastdepCC_FALSE=  /* confdefs.h.  */
3323    _ACEOF
3324    cat confdefs.h >>conftest.$ac_ext
3325    cat >>conftest.$ac_ext <<_ACEOF
3326    /* end confdefs.h.  */
3327    #include <ctype.h>
3328    #if ((' ' & 0x0FF) == 0x020)
3329    # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
3330    # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
3331    #else
3332    # define ISLOWER(c) \
3333                       (('a' <= (c) && (c) <= 'i') \
3334                         || ('j' <= (c) && (c) <= 'r') \
3335                         || ('s' <= (c) && (c) <= 'z'))
3336    # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
3337    #endif
3338    
3339    #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
3340    int
3341    main ()
3342    {
3343      int i;
3344      for (i = 0; i < 256; i++)
3345        if (XOR (islower (i), ISLOWER (i))
3346            || toupper (i) != TOUPPER (i))
3347          exit(2);
3348      exit (0);
3349    }
3350    _ACEOF
3351    rm -f conftest$ac_exeext
3352    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3353      (eval $ac_link) 2>&5
3354      ac_status=$?
3355      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3356      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
3357      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3358      (eval $ac_try) 2>&5
3359      ac_status=$?
3360      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3361      (exit $ac_status); }; }; then
3362      :
3363    else
3364      echo "$as_me: program exited with status $ac_status" >&5
3365    echo "$as_me: failed program was:" >&5
3366    sed 's/^/| /' conftest.$ac_ext >&5
3367    
3368    ( exit $ac_status )
3369    ac_cv_header_stdc=no
3370  fi  fi
3371    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
3372    fi
3373    fi
3374    fi
3375    echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
3376    echo "${ECHO_T}$ac_cv_header_stdc" >&6
3377    if test $ac_cv_header_stdc = yes; then
3378    
3379    cat >>confdefs.h <<\_ACEOF
3380    #define STDC_HEADERS 1
3381    _ACEOF
3382    
3383    fi
3384    
3385  # Checks for libraries.  # On IRIX 5.3, sys/types and inttypes.h are conflicting.
3386    
3387    
3388    
3389    
3390    
3391    
3392    
3393    
3394    
3395    for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
3396                      inttypes.h stdint.h unistd.h
3397    do
3398    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3399    echo "$as_me:$LINENO: checking for $ac_header" >&5
3400    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3401    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3402      echo $ECHO_N "(cached) $ECHO_C" >&6
3403    else
3404      cat >conftest.$ac_ext <<_ACEOF
3405    /* confdefs.h.  */
3406    _ACEOF
3407    cat confdefs.h >>conftest.$ac_ext
3408    cat >>conftest.$ac_ext <<_ACEOF
3409    /* end confdefs.h.  */
3410    $ac_includes_default
3411    
3412    #include <$ac_header>
3413    _ACEOF
3414    rm -f conftest.$ac_objext
3415    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3416      (eval $ac_compile) 2>conftest.er1
3417      ac_status=$?
3418      grep -v '^ *+' conftest.er1 >conftest.err
3419      rm -f conftest.er1
3420      cat conftest.err >&5
3421      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3422      (exit $ac_status); } &&
3423             { ac_try='test -z "$ac_c_werror_flag"
3424                             || test ! -s conftest.err'
3425      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3426      (eval $ac_try) 2>&5
3427      ac_status=$?
3428      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3429      (exit $ac_status); }; } &&
3430             { ac_try='test -s conftest.$ac_objext'
3431      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3432      (eval $ac_try) 2>&5
3433      ac_status=$?
3434      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3435      (exit $ac_status); }; }; then
3436      eval "$as_ac_Header=yes"
3437    else
3438      echo "$as_me: failed program was:" >&5
3439    sed 's/^/| /' conftest.$ac_ext >&5
3440    
3441    eval "$as_ac_Header=no"
3442    fi
3443    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3444    fi
3445    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3446    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3447    if test `eval echo '${'$as_ac_Header'}'` = yes; then
3448      cat >>confdefs.h <<_ACEOF
3449    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
3450    _ACEOF
3451    
3452    fi
3453    
3454    done
3455    
3456    
3457    
3458    
3459    
3460    
3461    
3462    
3463    for ac_header in netdb.h netinet/in.h sys/param.h sys/socket.h unistd.h mysql/mysql.h
3464    do
3465    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3466    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3467      echo "$as_me:$LINENO: checking for $ac_header" >&5
3468    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3469    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3470      echo $ECHO_N "(cached) $ECHO_C" >&6
3471    fi
3472    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3473    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3474    else
3475      # Is the header compilable?
3476    echo "$as_me:$LINENO: checking $ac_header usability" >&5
3477    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
3478    cat >conftest.$ac_ext <<_ACEOF
3479    /* confdefs.h.  */
3480    _ACEOF
3481    cat confdefs.h >>conftest.$ac_ext
3482    cat >>conftest.$ac_ext <<_ACEOF
3483    /* end confdefs.h.  */
3484    $ac_includes_default
3485    #include <$ac_header>
3486    _ACEOF
3487    rm -f conftest.$ac_objext
3488    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3489      (eval $ac_compile) 2>conftest.er1
3490      ac_status=$?
3491      grep -v '^ *+' conftest.er1 >conftest.err
3492      rm -f conftest.er1
3493      cat conftest.err >&5
3494      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3495      (exit $ac_status); } &&
3496             { ac_try='test -z "$ac_c_werror_flag"
3497                             || test ! -s conftest.err'
3498      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3499      (eval $ac_try) 2>&5
3500      ac_status=$?
3501      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3502      (exit $ac_status); }; } &&
3503             { ac_try='test -s conftest.$ac_objext'
3504      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3505      (eval $ac_try) 2>&5
3506      ac_status=$?
3507      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3508      (exit $ac_status); }; }; then
3509      ac_header_compiler=yes
3510    else
3511      echo "$as_me: failed program was:" >&5
3512    sed 's/^/| /' conftest.$ac_ext >&5
3513    
3514    ac_header_compiler=no
3515    fi
3516    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3517    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
3518    echo "${ECHO_T}$ac_header_compiler" >&6
3519    
3520    # Is the header present?
3521    echo "$as_me:$LINENO: checking $ac_header presence" >&5
3522    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
3523    cat >conftest.$ac_ext <<_ACEOF
3524    /* confdefs.h.  */
3525    _ACEOF
3526    cat confdefs.h >>conftest.$ac_ext
3527    cat >>conftest.$ac_ext <<_ACEOF
3528    /* end confdefs.h.  */
3529    #include <$ac_header>
3530    _ACEOF
3531    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3532      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3533      ac_status=$?
3534      grep -v '^ *+' conftest.er1 >conftest.err
3535      rm -f conftest.er1
3536      cat conftest.err >&5
3537      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3538      (exit $ac_status); } >/dev/null; then
3539      if test -s conftest.err; then
3540        ac_cpp_err=$ac_c_preproc_warn_flag
3541        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3542      else
3543        ac_cpp_err=
3544      fi
3545    else
3546      ac_cpp_err=yes
3547    fi
3548    if test -z "$ac_cpp_err"; then
3549      ac_header_preproc=yes
3550    else
3551      echo "$as_me: failed program was:" >&5
3552    sed 's/^/| /' conftest.$ac_ext >&5
3553    
3554      ac_header_preproc=no
3555    fi
3556    rm -f conftest.err conftest.$ac_ext
3557    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
3558    echo "${ECHO_T}$ac_header_preproc" >&6
3559    
3560    # So?  What about this header?
3561    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
3562      yes:no: )
3563        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
3564    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
3565        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
3566    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
3567        ac_header_preproc=yes
3568        ;;
3569      no:yes:* )
3570        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
3571    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
3572        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
3573    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
3574        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
3575    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
3576        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
3577    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
3578        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
3579    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
3580        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
3581    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
3582        (
3583          cat <<\_ASBOX
3584    ## ------------------------------- ##
3585    ## Report this to the bbsd lists.  ##
3586    ## ------------------------------- ##
3587    _ASBOX
3588        ) |
3589          sed "s/^/$as_me: WARNING:     /" >&2
3590        ;;
3591    esac
3592    echo "$as_me:$LINENO: checking for $ac_header" >&5
3593    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3594    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3595      echo $ECHO_N "(cached) $ECHO_C" >&6
3596    else
3597      eval "$as_ac_Header=\$ac_header_preproc"
3598    fi
3599    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3600    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3601    
3602    fi
3603    if test `eval echo '${'$as_ac_Header'}'` = yes; then
3604      cat >>confdefs.h <<_ACEOF
3605    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
3606    _ACEOF
3607    
3608    fi
3609    
3610    done
3611    
 # Checks for header files.  
3612    
3613  # Checks for typedefs, structures, and compiler characteristics.  # Checks for typedefs, structures, and compiler characteristics.
3614    echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
3615    echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
3616    if test "${ac_cv_c_const+set}" = set; then
3617      echo $ECHO_N "(cached) $ECHO_C" >&6
3618    else
3619      cat >conftest.$ac_ext <<_ACEOF
3620    /* confdefs.h.  */
3621    _ACEOF
3622    cat confdefs.h >>conftest.$ac_ext
3623    cat >>conftest.$ac_ext <<_ACEOF
3624    /* end confdefs.h.  */
3625    
3626    int
3627    main ()
3628    {
3629    /* FIXME: Include the comments suggested by Paul. */
3630    #ifndef __cplusplus
3631      /* Ultrix mips cc rejects this.  */
3632      typedef int charset[2];
3633      const charset x;
3634      /* SunOS 4.1.1 cc rejects this.  */
3635      char const *const *ccp;
3636      char **p;
3637      /* NEC SVR4.0.2 mips cc rejects this.  */
3638      struct point {int x, y;};
3639      static struct point const zero = {0,0};
3640      /* AIX XL C 1.02.0.0 rejects this.
3641         It does not let you subtract one const X* pointer from another in
3642         an arm of an if-expression whose if-part is not a constant
3643         expression */
3644      const char *g = "string";
3645      ccp = &g + (g ? g-g : 0);
3646      /* HPUX 7.0 cc rejects these. */
3647      ++ccp;
3648      p = (char**) ccp;
3649      ccp = (char const *const *) p;
3650      { /* SCO 3.2v4 cc rejects this.  */
3651        char *t;
3652        char const *s = 0 ? (char *) 0 : (char const *) 0;
3653    
3654        *t++ = 0;
3655      }
3656      { /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
3657        int x[] = {25, 17};
3658        const int *foo = &x[0];
3659        ++foo;
3660      }
3661      { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
3662        typedef const int *iptr;
3663        iptr p = 0;
3664        ++p;
3665      }
3666      { /* AIX XL C 1.02.0.0 rejects this saying
3667           "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
3668        struct s { int j; const int *ap[3]; };
3669        struct s *b; b->j = 5;
3670      }
3671      { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
3672        const int foo = 10;
3673      }
3674    #endif
3675    
3676      ;
3677      return 0;
3678    }
3679    _ACEOF
3680    rm -f conftest.$ac_objext
3681    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3682      (eval $ac_compile) 2>conftest.er1
3683      ac_status=$?
3684      grep -v '^ *+' conftest.er1 >conftest.err
3685      rm -f conftest.er1
3686      cat conftest.err >&5
3687      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3688      (exit $ac_status); } &&
3689             { ac_try='test -z "$ac_c_werror_flag"
3690                             || test ! -s conftest.err'
3691      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3692      (eval $ac_try) 2>&5
3693      ac_status=$?
3694      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3695      (exit $ac_status); }; } &&
3696             { ac_try='test -s conftest.$ac_objext'
3697      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3698      (eval $ac_try) 2>&5
3699      ac_status=$?
3700      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3701      (exit $ac_status); }; }; then
3702      ac_cv_c_const=yes
3703    else
3704      echo "$as_me: failed program was:" >&5
3705    sed 's/^/| /' conftest.$ac_ext >&5
3706    
3707    ac_cv_c_const=no
3708    fi
3709    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3710    fi
3711    echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5
3712    echo "${ECHO_T}$ac_cv_c_const" >&6
3713    if test $ac_cv_c_const = no; then
3714    
3715    cat >>confdefs.h <<\_ACEOF
3716    #define const
3717    _ACEOF
3718    
3719    fi
3720    
3721    
3722  # Checks for library functions.  # Checks for library functions.
3723    echo "$as_me:$LINENO: checking for pid_t" >&5
3724    echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
3725    if test "${ac_cv_type_pid_t+set}" = set; then
3726      echo $ECHO_N "(cached) $ECHO_C" >&6
3727    else
3728      cat >conftest.$ac_ext <<_ACEOF
3729    /* confdefs.h.  */
3730    _ACEOF
3731    cat confdefs.h >>conftest.$ac_ext
3732    cat >>conftest.$ac_ext <<_ACEOF
3733    /* end confdefs.h.  */
3734    $ac_includes_default
3735    int
3736    main ()
3737    {
3738    if ((pid_t *) 0)
3739      return 0;
3740    if (sizeof (pid_t))
3741      return 0;
3742      ;
3743      return 0;
3744    }
3745    _ACEOF
3746    rm -f conftest.$ac_objext
3747    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3748      (eval $ac_compile) 2>conftest.er1
3749      ac_status=$?
3750      grep -v '^ *+' conftest.er1 >conftest.err
3751      rm -f conftest.er1
3752      cat conftest.err >&5
3753      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3754      (exit $ac_status); } &&
3755             { ac_try='test -z "$ac_c_werror_flag"
3756                             || test ! -s conftest.err'
3757      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3758      (eval $ac_try) 2>&5
3759      ac_status=$?
3760      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3761      (exit $ac_status); }; } &&
3762             { ac_try='test -s conftest.$ac_objext'
3763      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3764      (eval $ac_try) 2>&5
3765      ac_status=$?
3766      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3767      (exit $ac_status); }; }; then
3768      ac_cv_type_pid_t=yes
3769    else
3770      echo "$as_me: failed program was:" >&5
3771    sed 's/^/| /' conftest.$ac_ext >&5
3772    
3773    ac_cv_type_pid_t=no
3774    fi
3775    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3776    fi
3777    echo "$as_me:$LINENO: result: $ac_cv_type_pid_t" >&5
3778    echo "${ECHO_T}$ac_cv_type_pid_t" >&6
3779    if test $ac_cv_type_pid_t = yes; then
3780      :
3781    else
3782    
3783    cat >>confdefs.h <<_ACEOF
3784    #define pid_t int
3785    _ACEOF
3786    
3787    fi
3788    
3789    
3790    
3791    for ac_header in unistd.h vfork.h
3792    do
3793    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3794    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3795      echo "$as_me:$LINENO: checking for $ac_header" >&5
3796    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3797    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3798      echo $ECHO_N "(cached) $ECHO_C" >&6
3799    fi
3800    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3801    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3802    else
3803      # Is the header compilable?
3804    echo "$as_me:$LINENO: checking $ac_header usability" >&5
3805    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
3806    cat >conftest.$ac_ext <<_ACEOF
3807    /* confdefs.h.  */
3808    _ACEOF
3809    cat confdefs.h >>conftest.$ac_ext
3810    cat >>conftest.$ac_ext <<_ACEOF
3811    /* end confdefs.h.  */
3812    $ac_includes_default
3813    #include <$ac_header>
3814    _ACEOF
3815    rm -f conftest.$ac_objext
3816    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3817      (eval $ac_compile) 2>conftest.er1
3818      ac_status=$?
3819      grep -v '^ *+' conftest.er1 >conftest.err
3820      rm -f conftest.er1
3821      cat conftest.err >&5
3822      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3823      (exit $ac_status); } &&
3824             { ac_try='test -z "$ac_c_werror_flag"
3825                             || test ! -s conftest.err'
3826      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3827      (eval $ac_try) 2>&5
3828      ac_status=$?
3829      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3830      (exit $ac_status); }; } &&
3831             { ac_try='test -s conftest.$ac_objext'
3832      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3833      (eval $ac_try) 2>&5
3834      ac_status=$?
3835      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3836      (exit $ac_status); }; }; then
3837      ac_header_compiler=yes
3838    else
3839      echo "$as_me: failed program was:" >&5
3840    sed 's/^/| /' conftest.$ac_ext >&5
3841    
3842    ac_header_compiler=no
3843    fi
3844    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
3845    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
3846    echo "${ECHO_T}$ac_header_compiler" >&6
3847    
3848    # Is the header present?
3849    echo "$as_me:$LINENO: checking $ac_header presence" >&5
3850    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
3851    cat >conftest.$ac_ext <<_ACEOF
3852    /* confdefs.h.  */
3853    _ACEOF
3854    cat confdefs.h >>conftest.$ac_ext
3855    cat >>conftest.$ac_ext <<_ACEOF
3856    /* end confdefs.h.  */
3857    #include <$ac_header>
3858    _ACEOF
3859    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
3860      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
3861      ac_status=$?
3862      grep -v '^ *+' conftest.er1 >conftest.err
3863      rm -f conftest.er1
3864      cat conftest.err >&5
3865      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3866      (exit $ac_status); } >/dev/null; then
3867      if test -s conftest.err; then
3868        ac_cpp_err=$ac_c_preproc_warn_flag
3869        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
3870      else
3871        ac_cpp_err=
3872      fi
3873    else
3874      ac_cpp_err=yes
3875    fi
3876    if test -z "$ac_cpp_err"; then
3877      ac_header_preproc=yes
3878    else
3879      echo "$as_me: failed program was:" >&5
3880    sed 's/^/| /' conftest.$ac_ext >&5
3881    
3882      ac_header_preproc=no
3883    fi
3884    rm -f conftest.err conftest.$ac_ext
3885    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
3886    echo "${ECHO_T}$ac_header_preproc" >&6
3887    
3888    # So?  What about this header?
3889    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
3890      yes:no: )
3891        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
3892    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
3893        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
3894    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
3895        ac_header_preproc=yes
3896        ;;
3897      no:yes:* )
3898        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
3899    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
3900        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
3901    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
3902        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
3903    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
3904        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
3905    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
3906        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
3907    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
3908        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
3909    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
3910        (
3911          cat <<\_ASBOX
3912    ## ------------------------------- ##
3913    ## Report this to the bbsd lists.  ##
3914    ## ------------------------------- ##
3915    _ASBOX
3916        ) |
3917          sed "s/^/$as_me: WARNING:     /" >&2
3918        ;;
3919    esac
3920    echo "$as_me:$LINENO: checking for $ac_header" >&5
3921    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
3922    if eval "test \"\${$as_ac_Header+set}\" = set"; then
3923      echo $ECHO_N "(cached) $ECHO_C" >&6
3924    else
3925      eval "$as_ac_Header=\$ac_header_preproc"
3926    fi
3927    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
3928    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
3929    
3930    fi
3931    if test `eval echo '${'$as_ac_Header'}'` = yes; then
3932      cat >>confdefs.h <<_ACEOF
3933    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
3934    _ACEOF
3935    
3936    fi
3937    
3938    done
3939    
3940    
3941    
3942    for ac_func in fork vfork
3943    do
3944    as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
3945    echo "$as_me:$LINENO: checking for $ac_func" >&5
3946    echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
3947    if eval "test \"\${$as_ac_var+set}\" = set"; then
3948      echo $ECHO_N "(cached) $ECHO_C" >&6
3949    else
3950      cat >conftest.$ac_ext <<_ACEOF
3951    /* confdefs.h.  */
3952    _ACEOF
3953    cat confdefs.h >>conftest.$ac_ext
3954    cat >>conftest.$ac_ext <<_ACEOF
3955    /* end confdefs.h.  */
3956    /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
3957       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
3958    #define $ac_func innocuous_$ac_func
3959    
3960    /* System header to define __stub macros and hopefully few prototypes,
3961        which can conflict with char $ac_func (); below.
3962        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3963        <limits.h> exists even on freestanding compilers.  */
3964    
3965    #ifdef __STDC__
3966    # include <limits.h>
3967    #else
3968    # include <assert.h>
3969    #endif
3970    
3971    #undef $ac_func
3972    
3973    /* Override any gcc2 internal prototype to avoid an error.  */
3974    #ifdef __cplusplus
3975    extern "C"
3976    {
3977    #endif
3978    /* We use char because int might match the return type of a gcc2
3979       builtin and then its argument prototype would still apply.  */
3980    char $ac_func ();
3981    /* The GNU C library defines this for functions which it implements
3982        to always fail with ENOSYS.  Some functions are actually named
3983        something starting with __ and the normal name is an alias.  */
3984    #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
3985    choke me
3986    #else
3987    char (*f) () = $ac_func;
3988    #endif
3989    #ifdef __cplusplus
3990    }
3991    #endif
3992    
3993    int
3994    main ()
3995    {
3996    return f != $ac_func;
3997      ;
3998      return 0;
3999    }
4000    _ACEOF
4001    rm -f conftest.$ac_objext conftest$ac_exeext
4002    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4003      (eval $ac_link) 2>conftest.er1
4004      ac_status=$?
4005      grep -v '^ *+' conftest.er1 >conftest.err
4006      rm -f conftest.er1
4007      cat conftest.err >&5
4008      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4009      (exit $ac_status); } &&
4010             { ac_try='test -z "$ac_c_werror_flag"
4011                             || test ! -s conftest.err'
4012      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4013      (eval $ac_try) 2>&5
4014      ac_status=$?
4015      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4016      (exit $ac_status); }; } &&
4017             { ac_try='test -s conftest$ac_exeext'
4018      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4019      (eval $ac_try) 2>&5
4020      ac_status=$?
4021      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4022      (exit $ac_status); }; }; then
4023      eval "$as_ac_var=yes"
4024    else
4025      echo "$as_me: failed program was:" >&5
4026    sed 's/^/| /' conftest.$ac_ext >&5
4027    
4028    eval "$as_ac_var=no"
4029    fi
4030    rm -f conftest.err conftest.$ac_objext \
4031          conftest$ac_exeext conftest.$ac_ext
4032    fi
4033    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
4034    echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
4035    if test `eval echo '${'$as_ac_var'}'` = yes; then
4036      cat >>confdefs.h <<_ACEOF
4037    #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
4038    _ACEOF
4039    
4040    fi
4041    done
4042    
4043    if test "x$ac_cv_func_fork" = xyes; then
4044      echo "$as_me:$LINENO: checking for working fork" >&5
4045    echo $ECHO_N "checking for working fork... $ECHO_C" >&6
4046    if test "${ac_cv_func_fork_works+set}" = set; then
4047      echo $ECHO_N "(cached) $ECHO_C" >&6
4048    else
4049      if test "$cross_compiling" = yes; then
4050      ac_cv_func_fork_works=cross
4051    else
4052      cat >conftest.$ac_ext <<_ACEOF
4053    /* By Ruediger Kuhlmann. */
4054          #include <sys/types.h>
4055          #if HAVE_UNISTD_H
4056          # include <unistd.h>
4057          #endif
4058          /* Some systems only have a dummy stub for fork() */
4059          int main ()
4060          {
4061            if (fork() < 0)
4062              exit (1);
4063            exit (0);
4064          }
4065    _ACEOF
4066    rm -f conftest$ac_exeext
4067    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4068      (eval $ac_link) 2>&5
4069      ac_status=$?
4070      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4071      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4072      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4073      (eval $ac_try) 2>&5
4074      ac_status=$?
4075      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4076      (exit $ac_status); }; }; then
4077      ac_cv_func_fork_works=yes
4078    else
4079      echo "$as_me: program exited with status $ac_status" >&5
4080    echo "$as_me: failed program was:" >&5
4081    sed 's/^/| /' conftest.$ac_ext >&5
4082    
4083    ( exit $ac_status )
4084    ac_cv_func_fork_works=no
4085    fi
4086    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4087    fi
4088    fi
4089    echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5
4090    echo "${ECHO_T}$ac_cv_func_fork_works" >&6
4091    
4092    else
4093      ac_cv_func_fork_works=$ac_cv_func_fork
4094    fi
4095    if test "x$ac_cv_func_fork_works" = xcross; then
4096      case $host in
4097        *-*-amigaos* | *-*-msdosdjgpp*)
4098          # Override, as these systems have only a dummy fork() stub
4099          ac_cv_func_fork_works=no
4100          ;;
4101        *)
4102          ac_cv_func_fork_works=yes
4103          ;;
4104      esac
4105      { echo "$as_me:$LINENO: WARNING: result $ac_cv_func_fork_works guessed because of cross compilation" >&5
4106    echo "$as_me: WARNING: result $ac_cv_func_fork_works guessed because of cross compilation" >&2;}
4107    fi
4108    ac_cv_func_vfork_works=$ac_cv_func_vfork
4109    if test "x$ac_cv_func_vfork" = xyes; then
4110      echo "$as_me:$LINENO: checking for working vfork" >&5
4111    echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
4112    if test "${ac_cv_func_vfork_works+set}" = set; then
4113      echo $ECHO_N "(cached) $ECHO_C" >&6
4114    else
4115      if test "$cross_compiling" = yes; then
4116      ac_cv_func_vfork_works=cross
4117    else
4118      cat >conftest.$ac_ext <<_ACEOF
4119    /* confdefs.h.  */
4120    _ACEOF
4121    cat confdefs.h >>conftest.$ac_ext
4122    cat >>conftest.$ac_ext <<_ACEOF
4123    /* end confdefs.h.  */
4124    /* Thanks to Paul Eggert for this test.  */
4125    #include <stdio.h>
4126    #include <stdlib.h>
4127    #include <sys/types.h>
4128    #include <sys/stat.h>
4129    #include <sys/wait.h>
4130    #if HAVE_UNISTD_H
4131    # include <unistd.h>
4132    #endif
4133    #if HAVE_VFORK_H
4134    # include <vfork.h>
4135    #endif
4136    /* On some sparc systems, changes by the child to local and incoming
4137       argument registers are propagated back to the parent.  The compiler
4138       is told about this with #include <vfork.h>, but some compilers
4139       (e.g. gcc -O) don't grok <vfork.h>.  Test for this by using a
4140       static variable whose address is put into a register that is
4141       clobbered by the vfork.  */
4142    static void
4143    #ifdef __cplusplus
4144    sparc_address_test (int arg)
4145    # else
4146    sparc_address_test (arg) int arg;
4147    #endif
4148    {
4149      static pid_t child;
4150      if (!child) {
4151        child = vfork ();
4152        if (child < 0) {
4153          perror ("vfork");
4154          _exit(2);
4155        }
4156        if (!child) {
4157          arg = getpid();
4158          write(-1, "", 0);
4159          _exit (arg);
4160        }
4161      }
4162    }
4163    
4164    int
4165    main ()
4166    {
4167      pid_t parent = getpid ();
4168      pid_t child;
4169    
4170      sparc_address_test (0);
4171    
4172      child = vfork ();
4173    
4174      if (child == 0) {
4175        /* Here is another test for sparc vfork register problems.  This
4176           test uses lots of local variables, at least as many local
4177           variables as main has allocated so far including compiler
4178           temporaries.  4 locals are enough for gcc 1.40.3 on a Solaris
4179           4.1.3 sparc, but we use 8 to be safe.  A buggy compiler should
4180           reuse the register of parent for one of the local variables,
4181           since it will think that parent can't possibly be used any more
4182           in this routine.  Assigning to the local variable will thus
4183           munge parent in the parent process.  */
4184        pid_t
4185          p = getpid(), p1 = getpid(), p2 = getpid(), p3 = getpid(),
4186          p4 = getpid(), p5 = getpid(), p6 = getpid(), p7 = getpid();
4187        /* Convince the compiler that p..p7 are live; otherwise, it might
4188           use the same hardware register for all 8 local variables.  */
4189        if (p != p1 || p != p2 || p != p3 || p != p4
4190            || p != p5 || p != p6 || p != p7)
4191          _exit(1);
4192    
4193        /* On some systems (e.g. IRIX 3.3), vfork doesn't separate parent
4194           from child file descriptors.  If the child closes a descriptor
4195           before it execs or exits, this munges the parent's descriptor
4196           as well.  Test for this by closing stdout in the child.  */
4197        _exit(close(fileno(stdout)) != 0);
4198      } else {
4199        int status;
4200        struct stat st;
4201    
4202        while (wait(&status) != child)
4203          ;
4204        exit(
4205             /* Was there some problem with vforking?  */
4206             child < 0
4207    
4208             /* Did the child fail?  (This shouldn't happen.)  */
4209             || status
4210    
4211             /* Did the vfork/compiler bug occur?  */
4212             || parent != getpid()
4213    
4214             /* Did the file descriptor bug occur?  */
4215             || fstat(fileno(stdout), &st) != 0
4216             );
4217      }
4218    }
4219    _ACEOF
4220    rm -f conftest$ac_exeext
4221    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4222      (eval $ac_link) 2>&5
4223      ac_status=$?
4224      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4225      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4226      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4227      (eval $ac_try) 2>&5
4228      ac_status=$?
4229      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4230      (exit $ac_status); }; }; then
4231      ac_cv_func_vfork_works=yes
4232    else
4233      echo "$as_me: program exited with status $ac_status" >&5
4234    echo "$as_me: failed program was:" >&5
4235    sed 's/^/| /' conftest.$ac_ext >&5
4236    
4237    ( exit $ac_status )
4238    ac_cv_func_vfork_works=no
4239    fi
4240    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4241    fi
4242    fi
4243    echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5
4244    echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
4245    
4246    fi;
4247    if test "x$ac_cv_func_fork_works" = xcross; then
4248      ac_cv_func_vfork_works=$ac_cv_func_vfork
4249      { echo "$as_me:$LINENO: WARNING: result $ac_cv_func_vfork_works guessed because of cross compilation" >&5
4250    echo "$as_me: WARNING: result $ac_cv_func_vfork_works guessed because of cross compilation" >&2;}
4251    fi
4252    
4253    if test "x$ac_cv_func_vfork_works" = xyes; then
4254    
4255    cat >>confdefs.h <<\_ACEOF
4256    #define HAVE_WORKING_VFORK 1
4257    _ACEOF
4258    
4259    else
4260    
4261    cat >>confdefs.h <<\_ACEOF
4262    #define vfork fork
4263    _ACEOF
4264    
4265    fi
4266    if test "x$ac_cv_func_fork_works" = xyes; then
4267    
4268    cat >>confdefs.h <<\_ACEOF
4269    #define HAVE_WORKING_FORK 1
4270    _ACEOF
4271    
4272    fi
4273    
4274    echo "$as_me:$LINENO: checking for ANSI C header files" >&5
4275    echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
4276    if test "${ac_cv_header_stdc+set}" = set; then
4277      echo $ECHO_N "(cached) $ECHO_C" >&6
4278    else
4279      cat >conftest.$ac_ext <<_ACEOF
4280    /* confdefs.h.  */
4281    _ACEOF
4282    cat confdefs.h >>conftest.$ac_ext
4283    cat >>conftest.$ac_ext <<_ACEOF
4284    /* end confdefs.h.  */
4285    #include <stdlib.h>
4286    #include <stdarg.h>
4287    #include <string.h>
4288    #include <float.h>
4289    
4290    int
4291    main ()
4292    {
4293    
4294      ;
4295      return 0;
4296    }
4297    _ACEOF
4298    rm -f conftest.$ac_objext
4299    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4300      (eval $ac_compile) 2>conftest.er1
4301      ac_status=$?
4302      grep -v '^ *+' conftest.er1 >conftest.err
4303      rm -f conftest.er1
4304      cat conftest.err >&5
4305      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4306      (exit $ac_status); } &&
4307             { ac_try='test -z "$ac_c_werror_flag"
4308                             || test ! -s conftest.err'
4309      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4310      (eval $ac_try) 2>&5
4311      ac_status=$?
4312      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4313      (exit $ac_status); }; } &&
4314             { ac_try='test -s conftest.$ac_objext'
4315      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4316      (eval $ac_try) 2>&5
4317      ac_status=$?
4318      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4319      (exit $ac_status); }; }; then
4320      ac_cv_header_stdc=yes
4321    else
4322      echo "$as_me: failed program was:" >&5
4323    sed 's/^/| /' conftest.$ac_ext >&5
4324    
4325    ac_cv_header_stdc=no
4326    fi
4327    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4328    
4329    if test $ac_cv_header_stdc = yes; then
4330      # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
4331      cat >conftest.$ac_ext <<_ACEOF
4332    /* confdefs.h.  */
4333    _ACEOF
4334    cat confdefs.h >>conftest.$ac_ext
4335    cat >>conftest.$ac_ext <<_ACEOF
4336    /* end confdefs.h.  */
4337    #include <string.h>
4338    
4339    _ACEOF
4340    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4341      $EGREP "memchr" >/dev/null 2>&1; then
4342      :
4343    else
4344      ac_cv_header_stdc=no
4345    fi
4346    rm -f conftest*
4347    
4348    fi
4349    
4350    if test $ac_cv_header_stdc = yes; then
4351      # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
4352      cat >conftest.$ac_ext <<_ACEOF
4353    /* confdefs.h.  */
4354    _ACEOF
4355    cat confdefs.h >>conftest.$ac_ext
4356    cat >>conftest.$ac_ext <<_ACEOF
4357    /* end confdefs.h.  */
4358    #include <stdlib.h>
4359    
4360    _ACEOF
4361    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4362      $EGREP "free" >/dev/null 2>&1; then
4363      :
4364    else
4365      ac_cv_header_stdc=no
4366    fi
4367    rm -f conftest*
4368    
4369    fi
4370    
4371    if test $ac_cv_header_stdc = yes; then
4372      # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
4373      if test "$cross_compiling" = yes; then
4374      :
4375    else
4376      cat >conftest.$ac_ext <<_ACEOF
4377    /* confdefs.h.  */
4378    _ACEOF
4379    cat confdefs.h >>conftest.$ac_ext
4380    cat >>conftest.$ac_ext <<_ACEOF
4381    /* end confdefs.h.  */
4382    #include <ctype.h>
4383    #if ((' ' & 0x0FF) == 0x020)
4384    # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
4385    # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
4386    #else
4387    # define ISLOWER(c) \
4388                       (('a' <= (c) && (c) <= 'i') \
4389                         || ('j' <= (c) && (c) <= 'r') \
4390                         || ('s' <= (c) && (c) <= 'z'))
4391    # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
4392    #endif
4393    
4394    #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
4395    int
4396    main ()
4397    {
4398      int i;
4399      for (i = 0; i < 256; i++)
4400        if (XOR (islower (i), ISLOWER (i))
4401            || toupper (i) != TOUPPER (i))
4402          exit(2);
4403      exit (0);
4404    }
4405    _ACEOF
4406    rm -f conftest$ac_exeext
4407    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4408      (eval $ac_link) 2>&5
4409      ac_status=$?
4410      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4411      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4412      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4413      (eval $ac_try) 2>&5
4414      ac_status=$?
4415      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4416      (exit $ac_status); }; }; then
4417      :
4418    else
4419      echo "$as_me: program exited with status $ac_status" >&5
4420    echo "$as_me: failed program was:" >&5
4421    sed 's/^/| /' conftest.$ac_ext >&5
4422    
4423    ( exit $ac_status )
4424    ac_cv_header_stdc=no
4425    fi
4426    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4427    fi
4428    fi
4429    fi
4430    echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
4431    echo "${ECHO_T}$ac_cv_header_stdc" >&6
4432    if test $ac_cv_header_stdc = yes; then
4433    
4434    cat >>confdefs.h <<\_ACEOF
4435    #define STDC_HEADERS 1
4436    _ACEOF
4437    
4438    fi
4439    
4440    echo "$as_me:$LINENO: checking return type of signal handlers" >&5
4441    echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
4442    if test "${ac_cv_type_signal+set}" = set; then
4443      echo $ECHO_N "(cached) $ECHO_C" >&6
4444    else
4445      cat >conftest.$ac_ext <<_ACEOF
4446    /* confdefs.h.  */
4447    _ACEOF
4448    cat confdefs.h >>conftest.$ac_ext
4449    cat >>conftest.$ac_ext <<_ACEOF
4450    /* end confdefs.h.  */
4451    #include <sys/types.h>
4452    #include <signal.h>
4453    #ifdef signal
4454    # undef signal
4455    #endif
4456    #ifdef __cplusplus
4457    extern "C" void (*signal (int, void (*)(int)))(int);
4458    #else
4459    void (*signal ()) ();
4460    #endif
4461    
4462    int
4463    main ()
4464    {
4465    int i;
4466      ;
4467      return 0;
4468    }
4469    _ACEOF
4470    rm -f conftest.$ac_objext
4471    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4472      (eval $ac_compile) 2>conftest.er1
4473      ac_status=$?
4474      grep -v '^ *+' conftest.er1 >conftest.err
4475      rm -f conftest.er1
4476      cat conftest.err >&5
4477      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4478      (exit $ac_status); } &&
4479             { ac_try='test -z "$ac_c_werror_flag"
4480                             || test ! -s conftest.err'
4481      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4482      (eval $ac_try) 2>&5
4483      ac_status=$?
4484      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4485      (exit $ac_status); }; } &&
4486             { ac_try='test -s conftest.$ac_objext'
4487      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4488      (eval $ac_try) 2>&5
4489      ac_status=$?
4490      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4491      (exit $ac_status); }; }; then
4492      ac_cv_type_signal=void
4493    else
4494      echo "$as_me: failed program was:" >&5
4495    sed 's/^/| /' conftest.$ac_ext >&5
4496    
4497    ac_cv_type_signal=int
4498    fi
4499    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4500    fi
4501    echo "$as_me:$LINENO: result: $ac_cv_type_signal" >&5
4502    echo "${ECHO_T}$ac_cv_type_signal" >&6
4503    
4504    cat >>confdefs.h <<_ACEOF
4505    #define RETSIGTYPE $ac_cv_type_signal
4506    _ACEOF
4507    
4508    
4509    
4510    for ac_func in strftime
4511    do
4512    as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
4513    echo "$as_me:$LINENO: checking for $ac_func" >&5
4514    echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
4515    if eval "test \"\${$as_ac_var+set}\" = set"; then
4516      echo $ECHO_N "(cached) $ECHO_C" >&6
4517    else
4518      cat >conftest.$ac_ext <<_ACEOF
4519    /* confdefs.h.  */
4520    _ACEOF
4521    cat confdefs.h >>conftest.$ac_ext
4522    cat >>conftest.$ac_ext <<_ACEOF
4523    /* end confdefs.h.  */
4524    /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
4525       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
4526    #define $ac_func innocuous_$ac_func
4527    
4528    /* System header to define __stub macros and hopefully few prototypes,
4529        which can conflict with char $ac_func (); below.
4530        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4531        <limits.h> exists even on freestanding compilers.  */
4532    
4533    #ifdef __STDC__
4534    # include <limits.h>
4535    #else
4536    # include <assert.h>
4537    #endif
4538    
4539    #undef $ac_func
4540    
4541    /* Override any gcc2 internal prototype to avoid an error.  */
4542    #ifdef __cplusplus
4543    extern "C"
4544    {
4545    #endif
4546    /* We use char because int might match the return type of a gcc2
4547       builtin and then its argument prototype would still apply.  */
4548    char $ac_func ();
4549    /* The GNU C library defines this for functions which it implements
4550        to always fail with ENOSYS.  Some functions are actually named
4551        something starting with __ and the normal name is an alias.  */
4552    #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
4553    choke me
4554    #else
4555    char (*f) () = $ac_func;
4556    #endif
4557    #ifdef __cplusplus
4558    }
4559    #endif
4560    
4561    int
4562    main ()
4563    {
4564    return f != $ac_func;
4565      ;
4566      return 0;
4567    }
4568    _ACEOF
4569    rm -f conftest.$ac_objext conftest$ac_exeext
4570    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4571      (eval $ac_link) 2>conftest.er1
4572      ac_status=$?
4573      grep -v '^ *+' conftest.er1 >conftest.err
4574      rm -f conftest.er1
4575      cat conftest.err >&5
4576      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4577      (exit $ac_status); } &&
4578             { ac_try='test -z "$ac_c_werror_flag"
4579                             || test ! -s conftest.err'
4580      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4581      (eval $ac_try) 2>&5
4582      ac_status=$?
4583      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4584      (exit $ac_status); }; } &&
4585             { ac_try='test -s conftest$ac_exeext'
4586      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4587      (eval $ac_try) 2>&5
4588      ac_status=$?
4589      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4590      (exit $ac_status); }; }; then
4591      eval "$as_ac_var=yes"
4592    else
4593      echo "$as_me: failed program was:" >&5
4594    sed 's/^/| /' conftest.$ac_ext >&5
4595    
4596    eval "$as_ac_var=no"
4597    fi
4598    rm -f conftest.err conftest.$ac_objext \
4599          conftest$ac_exeext conftest.$ac_ext
4600    fi
4601    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
4602    echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
4603    if test `eval echo '${'$as_ac_var'}'` = yes; then
4604      cat >>confdefs.h <<_ACEOF
4605    #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
4606    _ACEOF
4607    
4608    else
4609      # strftime is in -lintl on SCO UNIX.
4610    echo "$as_me:$LINENO: checking for strftime in -lintl" >&5
4611    echo $ECHO_N "checking for strftime in -lintl... $ECHO_C" >&6
4612    if test "${ac_cv_lib_intl_strftime+set}" = set; then
4613      echo $ECHO_N "(cached) $ECHO_C" >&6
4614    else
4615      ac_check_lib_save_LIBS=$LIBS
4616    LIBS="-lintl  $LIBS"
4617    cat >conftest.$ac_ext <<_ACEOF
4618    /* confdefs.h.  */
4619    _ACEOF
4620    cat confdefs.h >>conftest.$ac_ext
4621    cat >>conftest.$ac_ext <<_ACEOF
4622    /* end confdefs.h.  */
4623    
4624    /* Override any gcc2 internal prototype to avoid an error.  */
4625    #ifdef __cplusplus
4626    extern "C"
4627    #endif
4628    /* We use char because int might match the return type of a gcc2
4629       builtin and then its argument prototype would still apply.  */
4630    char strftime ();
4631    int
4632    main ()
4633    {
4634    strftime ();
4635      ;
4636      return 0;
4637    }
4638    _ACEOF
4639    rm -f conftest.$ac_objext conftest$ac_exeext
4640    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4641      (eval $ac_link) 2>conftest.er1
4642      ac_status=$?
4643      grep -v '^ *+' conftest.er1 >conftest.err
4644      rm -f conftest.er1
4645      cat conftest.err >&5
4646      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4647      (exit $ac_status); } &&
4648             { ac_try='test -z "$ac_c_werror_flag"
4649                             || test ! -s conftest.err'
4650      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4651      (eval $ac_try) 2>&5
4652      ac_status=$?
4653      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4654      (exit $ac_status); }; } &&
4655             { ac_try='test -s conftest$ac_exeext'
4656      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4657      (eval $ac_try) 2>&5
4658      ac_status=$?
4659      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4660      (exit $ac_status); }; }; then
4661      ac_cv_lib_intl_strftime=yes
4662    else
4663      echo "$as_me: failed program was:" >&5
4664    sed 's/^/| /' conftest.$ac_ext >&5
4665    
4666    ac_cv_lib_intl_strftime=no
4667    fi
4668    rm -f conftest.err conftest.$ac_objext \
4669          conftest$ac_exeext conftest.$ac_ext
4670    LIBS=$ac_check_lib_save_LIBS
4671    fi
4672    echo "$as_me:$LINENO: result: $ac_cv_lib_intl_strftime" >&5
4673    echo "${ECHO_T}$ac_cv_lib_intl_strftime" >&6
4674    if test $ac_cv_lib_intl_strftime = yes; then
4675      cat >>confdefs.h <<\_ACEOF
4676    #define HAVE_STRFTIME 1
4677    _ACEOF
4678    
4679    LIBS="-lintl $LIBS"
4680    fi
4681    
4682    fi
4683    done
4684    
4685    
4686    
4687    
4688    for ac_func in inet_ntoa mkdir socket
4689    do
4690    as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
4691    echo "$as_me:$LINENO: checking for $ac_func" >&5
4692    echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
4693    if eval "test \"\${$as_ac_var+set}\" = set"; then
4694      echo $ECHO_N "(cached) $ECHO_C" >&6
4695    else
4696      cat >conftest.$ac_ext <<_ACEOF
4697    /* confdefs.h.  */
4698    _ACEOF
4699    cat confdefs.h >>conftest.$ac_ext
4700    cat >>conftest.$ac_ext <<_ACEOF
4701    /* end confdefs.h.  */
4702    /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
4703       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
4704    #define $ac_func innocuous_$ac_func
4705    
4706    /* System header to define __stub macros and hopefully few prototypes,
4707        which can conflict with char $ac_func (); below.
4708        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4709        <limits.h> exists even on freestanding compilers.  */
4710    
4711    #ifdef __STDC__
4712    # include <limits.h>
4713    #else
4714    # include <assert.h>
4715    #endif
4716    
4717    #undef $ac_func
4718    
4719    /* Override any gcc2 internal prototype to avoid an error.  */
4720    #ifdef __cplusplus
4721    extern "C"
4722    {
4723    #endif
4724    /* We use char because int might match the return type of a gcc2
4725       builtin and then its argument prototype would still apply.  */
4726    char $ac_func ();
4727    /* The GNU C library defines this for functions which it implements
4728        to always fail with ENOSYS.  Some functions are actually named
4729        something starting with __ and the normal name is an alias.  */
4730    #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
4731    choke me
4732    #else
4733    char (*f) () = $ac_func;
4734    #endif
4735    #ifdef __cplusplus
4736    }
4737    #endif
4738    
4739    int
4740    main ()
4741    {
4742    return f != $ac_func;
4743      ;
4744      return 0;
4745    }
4746    _ACEOF
4747    rm -f conftest.$ac_objext conftest$ac_exeext
4748    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4749      (eval $ac_link) 2>conftest.er1
4750      ac_status=$?
4751      grep -v '^ *+' conftest.er1 >conftest.err
4752      rm -f conftest.er1
4753      cat conftest.err >&5
4754      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4755      (exit $ac_status); } &&
4756             { ac_try='test -z "$ac_c_werror_flag"
4757                             || test ! -s conftest.err'
4758      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4759      (eval $ac_try) 2>&5
4760      ac_status=$?
4761      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4762      (exit $ac_status); }; } &&
4763             { ac_try='test -s conftest$ac_exeext'
4764      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4765      (eval $ac_try) 2>&5
4766      ac_status=$?
4767      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4768      (exit $ac_status); }; }; then
4769      eval "$as_ac_var=yes"
4770    else
4771      echo "$as_me: failed program was:" >&5
4772    sed 's/^/| /' conftest.$ac_ext >&5
4773    
4774    eval "$as_ac_var=no"
4775    fi
4776    rm -f conftest.err conftest.$ac_objext \
4777          conftest$ac_exeext conftest.$ac_ext
4778    fi
4779    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
4780    echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
4781    if test `eval echo '${'$as_ac_var'}'` = yes; then
4782      cat >>confdefs.h <<_ACEOF
4783    #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
4784    _ACEOF
4785    
4786    fi
4787    done
4788    
4789    
4790                      ac_config_files="$ac_config_files Makefile src/Makefile"                      ac_config_files="$ac_config_files Makefile src/Makefile"
4791    
# Line 3190  echo "$as_me: error: conditional \"am__f Line 4925  echo "$as_me: error: conditional \"am__f
4925  Usually this means the macro was only invoked conditionally." >&2;}  Usually this means the macro was only invoked conditionally." >&2;}
4926     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
4927  fi  fi
 if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then  
   { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.  
 Usually this means the macro was only invoked conditionally." >&5  
 echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.  
 Usually this means the macro was only invoked conditionally." >&2;}  
    { (exit 1); exit 1; }; }  
 fi  
4928    
4929  : ${CONFIG_STATUS=./config.status}  : ${CONFIG_STATUS=./config.status}
4930  ac_clean_files_save=$ac_clean_files  ac_clean_files_save=$ac_clean_files
# Line 3759  s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t Line 5487  s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t
5487  s,@CCDEPMODE@,$CCDEPMODE,;t t  s,@CCDEPMODE@,$CCDEPMODE,;t t
5488  s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t  s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t
5489  s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t  s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t
5490    s,@CPP@,$CPP,;t t
5491    s,@EGREP@,$EGREP,;t t
5492  s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
5493  s,@LTLIBOBJS@,$LTLIBOBJS,;t t  s,@LTLIBOBJS@,$LTLIBOBJS,;t t
5494  CEOF  CEOF


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1